#!/usr/bin/bash
#######################################################################
#script name: wp_webp_uploads.sh
#version: 1.0
#description: wrapper for installing da server
#last modify date: 01308023
#author:brent dacus
#email:brent[at]thedacus[dot]net
#######################################################################
for i in $(find /home/admin/public_html/wp-content/uploads/20* -name "*.jpg" -o -name "*.jpeg"); do
  if [[ ! -f ${i%.jpg}.webp ]] && [[ ! -f ${i%.jpeg}.webp ]]; then
    name="${i%.*}"
    echo "$name"
    convert "$i" -quality '70' -define webp:method=6 "${name}.webp"
    chown admin:admin "${name}.webp"
  fi
done
